%define	name	ezswitch
%define	release	%mkrel 1
%define	version	0.4

Name:		%name
Summary:   	Script to switch Plymouth Themes
Summary(de):   	Skript zum wechseln der Plymouth Themen
Summary(nl): 	Script om te wisselen van Plymouth-thema
Summary(fr): 	Script pour changer le thème Plymouth
Source:		%{name}-%{version}.tar.xz
Version:	%{version}
Release:	%{release}
Group:		System/Configuration/Other
License:	GPLv2
BuildRoot:	%{_tmppath}/%{name}-%{version}-build
BuildArch:	noarch
Requires:       bash
Requires:       zenity
Requires:	plymouth

%description   
A GUI application for switching plymouth boot themes.

#german
%description -l de
Eine auf Zenity basierende GUI Anwendung zum ändern der
Plymouth Boot Themen.

#dutch
%description -l nl
Een kleine applicatie met grafische interface om gemakkelijk
van Plymouth opstartthema te kunnen wisselen.

#french
%description -l fr
Une interface graphique pour changer le thème de démarrage Plymouth.


%prep

%setup -q

%build

%install 
rm -rf %buildroot

mkdir -p %{buildroot}/%{_bindir}
install -m 755 %{name} %{buildroot}/%{_bindir}/%{name}

mkdir -p %{buildroot}%{_datadir}/applications
install -m 644 %{name}.desktop %{buildroot}%{_datadir}/applications/%{name}.desktop
install -m 644 %{name}-kde.desktop %{buildroot}%{_datadir}/applications/%{name}-kde.desktop


mkdir -p %{buildroot}%{_datadir}/icons
install -m 644 ezswitch.png %{buildroot}%{_datadir}/icons/%{name}.png

# i18n - Internationalization - Internationalisierung
mkdir -p %{buildroot}%{_datadir}/locale/{nl,de,sr,es,bg,fr}/LC_MESSAGES
msgfmt -o  %{buildroot}%{_datadir}/locale/nl/LC_MESSAGES/%{name}.mo $RPM_BUILD_DIR/%{name}-%{version}/languages/%{name}-nl.po
# msgfmt -o  %{buildroot}%{_datadir}/locale/de/LC_MESSAGES/%{name}.mo $RPM_BUILD_DIR/%{name}-%{version}/languages/%{name}-de.po
# msgfmt -o  %{buildroot}%{_datadir}/locale/sr/LC_MESSAGES/%{name}.mo $RPM_BUILD_DIR/%{name}-%{version}/languages/%{name}-sr.po
# msgfmt -o  %{buildroot}%{_datadir}/locale/bg/LC_MESSAGES/%{name}.mo $RPM_BUILD_DIR/%{name}-%{version}/languages/%{name}-bg.po
# msgfmt -o  %{buildroot}%{_datadir}/locale/fr/LC_MESSAGES/%{name}.mo $RPM_BUILD_DIR/%{name}-%{version}/languages/%{name}-fr.po

%clean
%__rm -rf %buildroot


%files          
%{_bindir}/%{name}
%{_datadir}/applications/*
%{_iconsdir}/%{name}.png
%{_datadir}/locale/*

%changelog
* Thu Nov 07 2013 travisn000 <*username* at gmail dot com> 0.4-1pclos2013
- updated script (per texstar) to use 'remove-theme && switch-themes <SELECTED_THEME>'
+   instead of 'plymouth-set-default-theme -R <SELECTED_THEME>'
+   http://www.pclinuxos.com/forum/index.php/topic,121423.msg1019031.html#msg1019031

* Thu Apr 19 2012 Neal <nealbrks0 at gmail dot com> 0.2.1-1pclos2012
- process

* Tue Apr 17 2012 Travisn000 <username at gmail dot com> 0.2.1-1pclos2012
- fix desktop files

* Tue Apr 17 2012 Travisn000 <username at gmail dot com> 0.2.1-1pclos2012
- various script improvements

* Sat Aug 28 2010 Neal <nealbrks0 at gmail dot com> 0.2.0-4pclos2010
- various script improvements

* Wed Jul 14 2010 leiche <meisssw01 at aol.com> 0.1.1-4pclos2010
- add Bulgarian language
 
* Tue Jul 13 2010 Texstar <texstar at gmail.com> 0.1.1-3pclos2010 
- fix summary 

* Mon Jul 12 2010 leiche <meisssw01 at aol.com> 0.1.1-2pclos2010
- add Serbian language
- fix again languages issues

* Sun Jul 11 2010 Neal <nealbrks0 at gmail.com> 0.1.1-1pclos2010
- updated ezswitch script 
- fixed german language (leiche)

* Sat Jul 10 2010 leiche <meisssw01 at aol.com> 0.1-2pclos2010
- add german synaptic description
- add german language
- add pot file for add more languages

* Fri Jul 09 2010 Neal <nealbrks0 at gmail.com> 0.1-1pclos2010
- New Package


